[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libvir] libvirt on OS X Leopard 10.5.1



On Tue, Jan 22, 2008 at 04:44:39PM +0100, Jim Meyering wrote:
> Daniel Veillard <veillard redhat com> wrote:
> 
> > On Tue, Jan 22, 2008 at 02:38:27PM +0100, Jim Meyering wrote:
> >> Daniel Veillard <veillard redhat com> wrote:
> >>
> >> > On Tue, Jan 22, 2008 at 08:00:34AM -0500, Daniel Veillard wrote:
> >> >> On Mon, Jan 21, 2008 at 11:39:35PM +0000, Daniel P. Berrange wrote:
> >> >> > I would point you at the snapshot tar.gz here, but it appears to be not
> >> >> > updated since September
> >> >> >
> >> >> >   http://libvirt.org/downloads.html
> >> >>
> >> >> ./configure: line 35987: syntax error near unexpected token `libxml-2.0,LIBXML_FOUND=yes'
> >> >> ./configure: line 35987: `    PKG_CHECK_EXISTS(libxml-2.0,LIBXML_FOUND=yes)'
> >> >>
> >> >>  libvirt.org is a RHEL4 box, seems the pkgconfig requirements which were
> >> >> introduced break running autogen.sh , so no Makefile, make dist, and no
> >> >> snapshot apparently. I will try to investigate but I can't believe we managed
> >> >> to break detection for something as common as libxml2 *on xmlsoft.org itself*,
> >> >> the irony ...
> >> >
> >> >   Upgrading pkg-config on the box this goes further but then gets stuck
> >> > at:
> >> >
> >> > configure: error: conditional "HAVE_SASL" was never defined.
> >> > Usually this means the macro was only invoked conditionally.
> >> >
> >> > trying to autogen with
> >> >   ./autogen.sh --prefix=/usr --without-depends --without-sasl
> >> >
> >> > I don't understand the problem, it seems
> >> >   AM_CONDITIONAL(HAVE_SASL, [test "$with_sasl" != "no"])
> >> > is set outside of any conditional block in configure.in
> >>
> >> Right.
> >> Here's an untested patch:
> > [...]
> >>  dnl Cyrus SASL
> >> +have_sasl=0
> >>  AC_ARG_WITH(sasl,
> >>    [  --with-sasl         use cyrus SASL for authentication],
> >>    [],
> >> @@ -402,8 +403,10 @@ if test "$with_sasl" != "no"; then
> >>    CFLAGS="$old_cflags"
> >>    LIBS="$old_libs"
> >>    SASL_LIBS="$SASL_LIBS -lsasl2"
> >> -  AC_DEFINE_UNQUOTED(HAVE_SASL, 1, [whether Cyrus SASL is available for authentication])
> >> +  have_sasl=1
> >>  fi
> >> +AC_DEFINE_UNQUOTED(HAVE_SASL, $have_sasl,
> >> +		   [whether Cyrus SASL is available for authentication])
> >>  AM_CONDITIONAL(HAVE_SASL, [test "$with_sasl" != "no"])
> >>  AC_SUBST(SASL_CFLAGS)
> >>  AC_SUBST(SASL_LIBS)
> >
> >   Thanks Jim, looking at the patch I think I understand the error message
> > now, but I applied the patch (or rather made the change manually), and
> > I still get the same:
> > -----
> > xmlsoft:~/libvirt -> ./autogen.sh --prefix=/usr --without-depends --without-sasl
> 
> But if you omit the --without-depends (or remove the with-depends
> stuff altogether), my patch is still required to solve the problem.

No it isn't - it works fine without it when i fix the other bits.

> 
> So I'll go ahead and check in the above patch as-is.
> It sounds like Dan's working on the independent remove-with-depends patch.

Please don't - it'll conflict with the changes I'm making

Dan.
-- 
|=- Red Hat, Engineering, Emerging Technologies, Boston.  +1 978 392 2496 -=|
|=-           Perl modules: http://search.cpan.org/~danberr/              -=|
|=-               Projects: http://freshmeat.net/~danielpb/               -=|
|=-  GnuPG: 7D3B9505   F3C9 553F A1DA 4AC2 5648 23C1 B3DF F742 7D3B 9505  -=| 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]